OpenVDB: CompoundMap< FirstMapType, SecondMapType > Class Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
CompoundMap< FirstMapType, SecondMapType > Class Template Reference

Creates the composition of two maps, each of which could be a composition. In the case that each component of the composition classified as linear an acceleration AffineMap is stored. More...

`#include <Maps.h>`

## Public Types
typedef CompoundMap< FirstMapType, SecondMapType > | MyType
typedef boost::shared_ptr< MyType > | Ptr
typedef boost::shared_ptr< const MyType > | ConstPtr

## Public Member Functions
| CompoundMap ()
| CompoundMap (const FirstMapType &f, const SecondMapType &s)
| CompoundMap (const MyType &other)
Name | type () const
bool | operator== (const MyType &other) const
bool | operator!= (const MyType &other) const
MyType & | operator= (const MyType &other)
bool | isIdentity () const
bool | isDiagonal () const
AffineMap::Ptr | getAffineMap () const
const FirstMapType & | firstMap () const
const SecondMapType & | secondMap () const
void | setFirstMap (const FirstMapType &first)
void | setSecondMap (const SecondMapType &second)
void | read (std::istream &is)
void | write (std::ostream &os) const

## Static Public Member Functions
static Name | mapType ()

## Detailed Description

### template<typename FirstMapType, typename SecondMapType>
class openvdb::v3_1_0::math::CompoundMap< FirstMapType, SecondMapType >

Creates the composition of two maps, each of which could be a composition. In the case that each component of the composition classified as linear an acceleration AffineMap is stored.

## Member Typedef Documentation

typedef boost::shared_ptr<const MyType> ConstPtr

typedef CompoundMap<FirstMapType, SecondMapType> MyType

typedef boost::shared_ptr<MyType> Ptr

## Constructor & Destructor Documentation

CompoundMap | ( |  | ) |
| inline

CompoundMap | ( | const FirstMapType & | f,
|  | const SecondMapType & | s
| ) |  |
| inline

CompoundMap | ( | const MyType & | other | ) |
| inline

## Member Function Documentation

const FirstMapType& firstMap | ( |  | ) | const
| inline

AffineMap::Ptr getAffineMap | ( |  | ) | const
| inline

bool isDiagonal | ( |  | ) | const
| inline

bool isIdentity | ( |  | ) | const
| inline

static Name mapType | ( |  | ) |
| inlinestatic

bool operator!= | ( | const MyType & | other | ) | const
| inline

MyType& operator= | ( | const MyType & | other | ) |
| inline

bool operator== | ( | const MyType & | other | ) | const
| inline

void read | ( | std::istream & | is | ) |
| inline

const SecondMapType& secondMap | ( |  | ) | const
| inline

void setFirstMap | ( | const FirstMapType & | first | ) |
| inline

void setSecondMap | ( | const SecondMapType & | second | ) |
| inline

Name type | ( |  | ) | const
| inline

void write | ( | std::ostream & | os | ) | const
| inline

The documentation for this class was generated from the following file:

- Maps.h